org.apache.jmeter.protocol.http.control

## Class Header

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.http.control.Header

- All Implemented Interfaces:
    Serializable, Cloneable, Searchable, TestElement

      public class Header
      extends AbstractTestElement
      implements Serializable

  This class is an HTTP Header encapsulator.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Header()` Create the header.
    `Header(String name, String value)` Create the header.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfigElement(ConfigElement config)`
    `boolean` | `expectsModification()`
    `String` | `getName()` Get the name for this object.
    `String` | `getValue()` Get the value for this object.
    `void` | `setName(String name)` Set the name for this object.
    `void` | `setValue(String value)` Set the value for this object.
    `String` | `toString()` Creates a string representation of this header.

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### Header

          public Header()

      Create the header. Uses an empty name and value as default

    - #### Header

          public Header(String name,
                        String value)

      Create the header.
      Parameters:
        `name` - name of the header
        `value` - name of the header

  - ### Method Detail

    - #### addConfigElement

          public void addConfigElement(ConfigElement config)

    - #### expectsModification

          public boolean expectsModification()

    - #### getName

          public String getName()

      Get the name for this object.
      Specified by:
        `getName` in interface `TestElement`
      Overrides:
        `getName` in class `AbstractTestElement`
      Returns:
        the name of this header

    - #### setName

          public void setName(String name)

      Set the name for this object.
      Specified by:
        `setName` in interface `TestElement`
      Overrides:
        `setName` in class `AbstractTestElement`
      Parameters:
        `name` - the name of this header

    - #### getValue

          public String getValue()

      Get the value for this object.
      Returns:
        the value of this header

    - #### setValue

          public void setValue(String value)

      Set the value for this object.
      Parameters:
        `value` - the value of this header

    - #### toString

          public String toString()

      Creates a string representation of this header.
      Overrides:
        `toString` in class `Object`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.